# Searches for functions using predefined parameters Searches for functions using predefined parameters Endpoint: POST /functions/{tenantId}/search Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Query parameters: - `exclusiveStartKey` (string) The start key for the search, for paging support - `fieldsToReturn` (string) The fields that you want to retrieve; if omitted, the entire object is returned ## Request fields (application/json): - `end_date` (array) - `event_id` (string, required) - `ids` (array) IDs to search - `name` (string) - `start_date` (array) - `type_id` (array) ## Response 200 fields (application/json): - `Items` (array) - `Items.abstract_id` (string) The abstract this session is linked to - `Items.access` (string) Who has access to this session Enum: "included", "optional" - `Items.enable_capacity` (boolean) If set, the session has a capacity - `Items.enable_registration_questions` (boolean) If set, a user is prompted to answer questions during registration - `Items.end_date` (string) - `Items.event_id` (string, required) The event - `Items.has_fees` (boolean) Whether or not this session has fees - `Items.id` (string) - `Items.name` (string, required) The name of the session - `Items.speakers` (array) - `Items.speakers.speaker_id` (string, required) - `Items.speakers.type` (string, required) The type of speaker - `Items.start_date` (string) - `Items.track_ids` (array) Session tracks - `Items.type_id` (string, required) The type of session - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 405 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields